# Arcturus Morningstar Base Database

This is the base database to be used for Arcturus Morningstar.

Thankyou to:

*Ridge* (Filling painsteaking all catalogue pages on the smallest laptop display ever.)

*Gizmo* (Initial catalogue)

*Wullez* (Initial catalogue)

*TheJava* (Initial catalogue)

*HarmonicRain* (Initial catalogue)

*TheGeneral* (Initial base DB)

*TenShie* (Crackables, Soundtracks, Crafting, TargedOffers, Roombundles, Calendar)

and *others* as well as the *beta testers* for this new git repo dedicated to the default database for Arcturus Morningstar.


* "**master**" branch - the published final builds included with the default emulator.
* "**dev**" branch - the catalogue and other updates between builds.

* **SQLUPDATES** folder - the official upgrade sqls and patches to use between versions.
* **ADDONS** folder - for official addons like roombundles or things that involve rooms / items table.



# How To Use

->install

1. Clone or Donload the arcturus\_morningstar\_default\_db\_full SQL File. (or the one without Roombundles)
2. Open your Navicat. Create a new Database with UTF8 and open it by doubleklicking.
3. Rightklick the opend Database and select Execute SQL File.
4. Select the downloaded SQL file and klick RUN.

->patches/updates

1. Clone or Download a Patch or Update.
2. Open your Navicat. Open your Database.
3. Rightklick and select Execute SQL File.
4. Select the Update or Patch. Patches have an specific order to go! (\_1\_1 -> \_1\_2 ...)
5. Klick Run.

# Updates / Patches / Addons / Hotfixes

* Hotfixes are importand Bugfixes! Install them on your own risk! (Not tested)
* Patchfiles have an specific Order. (patch<currentversion>_<patchid>.sql)
* Updates or Addons can be placed at any given time.
* Current default db versions are marked. (_v1)
* Every first Saturday in month, will be uploaded a new default db version if patchid > 5.
* UPDATES are mostly updates for new Furnitures / Calendar / TragedOffers
* PATCHES are mostly to fix Furnitures / Catalogue Pages and Items or Arcturus Morningstar Versions Updates

# Things to know

* Autoincrements are set to specific values! Do NOT change them.
* Do NOT change pageid's.
* Do NOT change itemid's.
* Do Not change catalogueitemid's.
* Paste custom furniture at least on id's above 60000.
* Paste custom pages at least on id's above 20000.
* !!PATCHFILES HAVE AN SPECIFIC ORDER!!