ALTER TABLE `catalog_items` auto_increment = 30000;

INSERT INTO `items_base` (`id`, `sprite_id`, `public_name`, `item_name`, `type`, `width`, `length`, `stack_height`, `allow_stack`, `allow_sit`, `allow_lay`, `allow_walk`, `allow_gift`, `allow_trade`, `allow_recycle`, `allow_marketplace_sell`, `allow_inventory_stack`, `interaction_type`, `interaction_modes_count`, `vending_ids`, `multiheight`, `customparams`, `effect_id_male`, `effect_id_female`, `clothing_on_walk`) VALUES
('11421', '11421', 'clothing_r20_slumberoutfit', 'clothing_r20_slumberoutfit', 's', '1', '1', '0.00', '0', '0', '0', '0', '0', '1', '0', '0', '1', 'clothing', '1', '0', '0', '', '0', '0', ''),
('50511', '0', 'HTW16', 'HTW16', 'b', '1', '1', '0.00', '1', '0', '0', '0', '1', '1', '0', '0', '1', 'badge', '1', '0', '0', '', '0', '0', ''); 

INSERT INTO `catalog_clothing` (`id`, `name`, `setid`) VALUES
(NULL, 'clothing_r20_slumberoutfit', '3977,3978,3979');

INSERT INTO `catalog_pages` (`id`, `parent_id`, `caption_save`, `caption`, `page_layout`, `icon_color`, `icon_image`, `min_rank`, `order_num`, `visible`, `enabled`, `club_only`, `vip_only`, `page_headline`, `page_teaser`, `page_special`, `page_text1`, `page_text2`, `page_text_details`, `page_text_teaser`, `room_id`, `includes`) VALUES
(759, 2, 'hb20raresleep', 'RARE Sleep Time Outfits', 'default_3x3', 1, 42, 1, 6, '1', '1', '0', '0', 'Stars_header', 'habbo20_slumber', '', 'For when you just need to sleep. Rare and never to be sold again!', '', '', '', 0, '');

INSERT INTO `catalog_items` (`id`, `item_ids`, `page_id`, `catalog_name`, `cost_credits`, `cost_points`, `points_type`, `amount`, `limited_stack`, `limited_sells`, `order_number`, `offer_id`, `song_id`, `extradata`, `have_offer`, `club_only`) VALUES
(NULL, '11421;50511', '759', 'clothing_r20_slumberoutfit', '25', '25', '5', '1', '0', '0', '1', '-1', '0', '50511', '0', '0');


-- TargedOffer

INSERT INTO `items_base` (`id`, `sprite_id`, `public_name`, `item_name`, `type`, `width`, `length`, `stack_height`, `allow_stack`, `allow_sit`, `allow_lay`, `allow_walk`, `allow_gift`, `allow_trade`, `allow_recycle`, `allow_marketplace_sell`, `allow_inventory_stack`, `interaction_type`, `interaction_modes_count`, `vending_ids`, `multiheight`, `customparams`, `effect_id_male`, `effect_id_female`, `clothing_on_walk`) VALUES#
('50512', '0', 'MCH01', 'MCH01', 'b', '1', '1', '0.00', '1', '0', '0', '0', '1', '1', '0', '0', '1', 'badge', '1', '0', '0', '', '0', '0', ''); 

INSERT INTO `catalog_pages` (`id`, `parent_id`, `caption_save`, `caption`, `page_layout`, `icon_color`, `icon_image`, `min_rank`, `order_num`, `visible`, `enabled`, `club_only`, `vip_only`, `page_headline`, `page_teaser`, `page_special`, `page_text1`, `page_text2`, `page_text_details`, `page_text_teaser`, `room_id`, `includes`) VALUES
('1110', '7', 'targetoffer_int', 'Targeted Offers', 'default_3x3', '1', '180', '4', '4', '1', '1', '0', '0', '', '', '', 'Targeted offers Packs', '', '', '', '0', ''); 

INSERT INTO `catalog_items` (`id`, `item_ids`, `page_id`, `catalog_name`, `cost_credits`, `cost_points`, `points_type`, `amount`, `limited_stack`, `limited_sells`, `order_number`, `offer_id`, `song_id`, `extradata`, `have_offer`, `club_only`) VALUES
(20500, '50512;2833;2822;2827;2816;2830;2819;2939;40600;8261;3704;8260;3707;9031;10240;10271;4373;4387;4835;3779;3776;3848;3786;43560;4151;8431;43390;3606;4342;4335;10258;10145;10162;4068;5984', 1110, 'targetoffer10500_bundle', 189, 189, 5, 1, 0, 0, 1, '-1', 0, '', '0', '0');

UPDATE `catalog_items` SET `offer_id` = '-1' WHERE `catalog_items`.`offer_id` != '-1'; 

UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '50512';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '2833';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '2822';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '2827';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '2816';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '2830';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '2819';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '2939';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '40600';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '8261';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '3704';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '8260';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '3707';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '9031';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '10240';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '10271';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '4373';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '4387';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '4835';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '3779';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '3776';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '3848';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '3786';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '43560';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '4151';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '8431';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '43390';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '3606';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '4342';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '4335';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '10258';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '10145';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '10162';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '4068';
UPDATE `catalog_items` SET `offer_id` = '10500' WHERE `item_ids` LIKE '5984';

INSERT INTO `catalog_target_offers` (`id`, `offer_code`, `title`, `description`, `image`, `icon`, `end_timestamp`, `credits`, `points`, `points_type`, `purchase_limit`, `catalog_item`, `vars`) VALUES
(1, '10500', 'Machines Offer One!', '<a href=\"event:habbopages/7machines1tto20\">Click here</a> to see a list of all items included in this deal.', 'targetedoffers/ufo_habbo20_mach1.png', 'targetedoffers/tto_blkfri_20_small.png', 1598745600, 189, 189, 5, 1, 20500, '');
