-- General Patches
UPDATE `catalog_items` SET `catalog_name` = 'wf_trg_game_starts' WHERE `catalog_items`.`item_ids` = '3679';
UPDATE `catalog_items` SET `page_id` = '64' WHERE `catalog_items`.`item_ids` = '5450';
UPDATE `catalog_items` SET `page_id` = '429' WHERE `catalog_items`.`item_ids` = '5451';
UPDATE `catalog_items` SET `page_id` = '683' WHERE `catalog_items`.`item_ids` = '3351'; 
UPDATE `catalog_pages` SET `page_headline` = 'catalog_bots_headline1_en', `page_teaser` = 'catalog_bots_headline1_en' WHERE `catalog_pages`.`id` = '9';
UPDATE `catalog_pages` SET `parent_id` = '125' WHERE `catalog_pages`.`id` = '414'; 

UPDATE `items_base` SET `allow_stack`='0', `allow_sit`='0', `allow_lay`='0', `allow_walk`='0' WHERE `item_name` LIKE 'xmas_c17_blueprint%';
UPDATE `items_base` SET `length` = '1', `width` = '1', `allow_stack`='0', `allow_sit`='0', `allow_lay`='0', `allow_walk`='0' WHERE `items_base`.`interaction_type` LIKE 'crackable';

UPDATE `calendar_rewards` SET `item_id` = '179' WHERE `calendar_rewards`.`item_id` = '197';

UPDATE `emulator_settings` SET `value` = '761' WHERE `emulator_settings`.`key` = 'catalog.ltd.page.soldout';

INSERT INTO `catalog_pages` (`id`, `parent_id`, `caption_save`, `caption`, `page_layout`, `icon_color`, `icon_image`, `min_rank`, `order_num`, `visible`, `enabled`, `club_only`, `vip_only`, `page_headline`, `page_teaser`, `page_special`, `page_text1`, `page_text2`, `page_text_details`, `page_text_teaser`, `room_id`, `includes`) VALUES
(761, 14, 'sold_limited_rares', 'Sold Rares', 'default_3x3', 1, 198, 1, 1, '1', '1', '0', '0', 'limited_header_sold', 'limited_sold_promo', '', 'his page shows past Limited Edition Rares. They won\'t come back on sale in the Shop. If they\'re not sold out, they might be given as prizes later on, but for now the only way to get one is through trading!', '', '', '', 0, '');

-- Crackables Rework
UPDATE `items_base` SET `interaction_type` = 'crackable', `length` = '1', `width` = '1', `allow_stack` = '0', `interaction_modes_count` = '23' WHERE `items_base`.`id` = '9214';
UPDATE `items_base` SET `interaction_type` = 'crackable', `length` = '1', `width` = '1', `allow_stack` = '0', `interaction_modes_count` = '23' WHERE `items_base`.`id` = '9238'; 
UPDATE `items_base` SET `interaction_type` = 'crackable', `length` = '1', `width` = '1', `allow_stack` = '0', `interaction_modes_count` = '23' WHERE `items_base`.`id` = '9251';
UPDATE `items_base` SET `interaction_type` = 'crackable', `length` = '1', `width` = '1', `allow_stack` = '0', `interaction_modes_count` = '23' WHERE `items_base`.`id` = '9232';

INSERT INTO `items_crackable` (`item_id`, `item_name`, `count`, `prizes`, `achievement_tick`, `achievement_cracked`, `required_effect`, `subscription_duration`, `subscription_type`) VALUES
(9214, 'xmas_c16_creature7', 24, '9256:50;9246:50', '', '', 186, NULL, NULL),
(9232, 'xmas_c16_egg', 24, '9214:33;9238:33;9251:33', '', '', 186, NULL, NULL),
(9238, 'xmas_c16_creature1', 24, '9211:50;9258:50', '', '', 186, NULL, NULL),
(9251, 'xmas_c16_creature4', 24, '9224:50;9242:50', '', '', 186, NULL, NULL);

UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9214';
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9238'; 
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9251';
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9256'; 
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9246';
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9211';
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9258'; 
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9224'; 
UPDATE `catalog_items` SET `page_id` = '729' WHERE `catalog_items`.`item_ids` LIKE '9242';

INSERT INTO `catalog_items` (`id`, `item_ids`, `page_id`, `catalog_name`, `cost_credits`, `cost_points`, `points_type`, `amount`, `limited_stack`, `limited_sells`, `order_number`, `offer_id`, `song_id`, `extradata`, `have_offer`, `club_only`) VALUES
('11068', '9232', '486', 'xmas_c16_egg', '50', '15', '5', '1', '0', '0', '1', '-1', '0', '', '0', '0');

INSERT INTO `catalog_pages` (`id`, `parent_id`, `caption_save`, `caption`, `page_layout`, `icon_color`, `icon_image`, `min_rank`, `order_num`, `visible`, `enabled`, `club_only`, `vip_only`, `page_headline`, `page_teaser`, `page_special`, `page_text1`, `page_text2`, `page_text_details`, `page_text_teaser`, `room_id`, `includes`) VALUES
('760', '190', 'habbo20_crackables', 'Habbo 20 Crackables', 'default_3x3', '1', '1', '1', '1', '1', '1', '0', '0', '', '', '', NULL, NULL, NULL, NULL, '0', '');

UPDATE `catalog_items` SET `page_id` = '760' WHERE `catalog_items`.`item_ids` LIKE '11308'; 
UPDATE `catalog_items` SET `page_id` = '760' WHERE `catalog_items`.`item_ids` LIKE '11309';
UPDATE `catalog_items` SET `page_id` = '191' WHERE `catalog_items`.`item_ids` LIKE '11312'; 
UPDATE `catalog_items` SET `page_id` = '191' WHERE `catalog_items`.`item_ids` LIKE '11310';